<?php
namespace PanoramaViewer\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use PanoramaViewer\Site\BlockLayout\PanoramaViewer;
use Laminas\ServiceManager\Factory\FactoryInterface;

class PanoramaViewerFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new PanoramaViewer(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['PanoramaViewerBlockForm']
		);
	}
}
?>